Create Payment

POST /v1/payments/cross-border-credit-transfers
POST /v1/payments/sepa-credit-transfers

Initiate a cross-border or SEPA credit transfer payment.

Query Parameters

No query parameters.

Request Headers

ParameterTypeDescription
X-Request-IDUUIDUnique request ID, set by the initiating party (TPP). Mandatory.
AuthorizationStringOAuth2 Bearer token obtained from SCA performed prior to this request. Mandatory.
PSU-IP-AddressStringForwarded IP address between PSU and TPP. Mandatory.
Consent-IDUUIDThe consent ID of the related AIS consent. Mandatory.
PSU-IP-PortStringForwarded IP port between PSU and TPP, if available. Optional.
PSU-Device-IDUUIDUUID for a device or application installation, unaltered until removal. Optional.
PSU-Geo-LocationStringForwarded geo location between PSU and TPP, if available. Optional.

Request Body

ParameterTypeDescription
instructedAmountAmountThe amount and currency of the transfer. Mandatory.
instructedCurrencyStringCurrency of the payment amount (3-letter ISO 4217 code, e.g. "EUR"). Mandatory.
debtorAccountStringThe debtor’s account IBAN. Optional.
creditorIdIntID of the beneficiary. Mandatory. See Get Payment Beneficiaries List.
paymentReasonStringThe reason for the payment. Mandatory.

Response

HTTP 201 Created

Response Headers

ParameterTypeDescription
LocationStringLocation of the created resource (if created). Mandatory.
X-Request-IDUUIDUnique request ID, set by the initiating party (TPP). Mandatory.
ASPSP-SCA-ApproachStringREDIRECT. Mandatory.

Response Body

ParameterTypeDescription
paymentStatusPayment StatusThe payment status. Mandatory.
paymentIdStringResource identification of the generated payment initiation resource. Mandatory.
_linksLinksList of hyperlinks for the TPP. Typical value: "scaOAuth". Mandatory.
psuMessageStringText to be displayed to the PSU. Optional.
tppMessagesArray of TPP Message InformationMessages to the TPP on operational issues. Optional.

Example

Request

curl -X POST \
https://mp-psd2-api.mypos.com/v1/payments/sepa-credit-transfers \
-H 'API-Key: aGDmxHAmpMWUL1txqCsjEcOS' \
-H 'Authorization: Bearer oqeeWzoYfqkf1RsfyaB3hyNiLvY7GNAV6Kta7sGa9X' \
-H 'TPP-Redirect-URI: https://test.com' \
-H 'X-Request-ID: a552babc-7081-44e7-9361-61eb17e0bfd9' \
-H 'Content-Type: application/x-www-form-urlencoded' \
-d 'debtorAccount=LU088060050979717340&creditorId=1&instructedAmount=20&instructedCurrency=EUR&paymentReason=Test%20payment'

Response

{
    "paymentId": "e454aa67-2829-49da-a4e3-9fbcdd6e7545",
    "paymentStatus": "RCVD",
    "_links": {
        "self": {
            "href": "/v1/payments/cross-border-credit-transfers/e454aa67-2829-49da-a4e3-9fbcdd6e7545"
        },
        "status": {
            "href": "/v1/payments/cross-border-credit-transfers/e454aa67-2829-49da-a4e3-9fbcdd6e7545/status"
        },
        "scaStatus": {
            "href": "v1/consents/3c7816ee-3d51-4bf5-8ced-ece2af35d431/status"
        },
        "scaOAuth": {
            "href": "https://www.mypos.com?open_bank_payment_id=e454aa67-2829-49da-a4e3-9fbcdd6e7545"
        }
    }
}